<?php 
/**
 * Adds a box to the main column on the Post and Page edit screens.
 */
if ( ! function_exists('add_gs_team_metaboxes') ) {
	
	function add_gs_team_metaboxes(){
		add_meta_box('gsTeamSection', 'Member\'s Additioinal Info' ,'gs_team_cmb_cb', 'gs_team', 'normal', 'high');
	}
	add_action('add_meta_boxes', 'add_gs_team_metaboxes');
}

/**
 * Prints the box content.
 * 
 * @param WP_Post $post The object for the current post/page.
 */
if ( ! function_exists('gs_team_cmb_cb') ) {
	function gs_team_cmb_cb($post){

		// Add a nonce field so we can check for it later.
		wp_nonce_field( 'gs_team_nonce_name', 'gs_team_cmb_token' );

		/*
		 * Use get_post_meta() to retrieve an existing value
		 * from the database and use the value for the form.
		 */
		$gs_des = get_post_meta( $post->ID, '_gs_des', true );
		$gs_ribon = get_post_meta( $post->ID, '_gs_ribon', true );
		$gs_social  = get_post_meta($post->ID, 'gs_social', true);
		$gs_skill = get_post_meta($post->ID, 'gs_skill', true);
 		$socialicons  = array('envelope', 'link', 'google-plus','facebook', 'instagram', 'whatsapp', 'twitter', 'youtube', 'vimeo-square', 'flickr', 'dribbble', 'behance', 'dropbox', 'wordpress',  'tumblr', 'skype', 'linkedin', 'stack-overflow','pinterest', 'foursquare','github','xing', 'stumbleupon',  'delicious', 'lastfm','hacker-news', 'reddit', 'soundcloud', 'yahoo', 'trello','steam', 'deviantart', 'twitch', 'feed','renren', 'vk', 'vine', 'spotify', 'digg', 'slideshare');
		?>
		<div class="gs_team-metafields">
			<div style="height: 20px;"></div>
			<div class="form-group">
				<label for="gsDes">Designation</label>
				<input type="text" id="gsDes" class="form-control" name="gs_des" value="<?php echo isset($gs_des) ? esc_attr($gs_des) : ''; ?>">
			</div>
			<?php if ( gtm_fs()->is__premium_only() or gtm_fs()->can_use_premium_code() ) { ?>
				<div class="form-group">
					<label for="gsribon">Ribon</label>
					<input type="text" id="gsribon" class="form-control" name="gs_ribon" value="<?php echo isset($gs_ribon) ? esc_attr($gs_ribon) : ''; ?>">
				</div>
			<?php } ?>
			<h2>Member's social links</h2>
			
				<div class="member-details-section">
					<table id="repeatable-fieldset-two" width="100%" class="gstm-sorable-table">
						<thead>
							<tr>
								<td width="3%"></td>
								<td width="45%"><?php _e('Icon','');?></td>
								<td width="42%"><?php _e('Link','');?></td>
								<td width="10%"></td>
							</tr>
						</thead>
						<tbody>
							
							<?php if ( $gs_social ) : 
							foreach ( $gs_social as $field ) { ?>


							<tr>
								<td><i class="fa fa-arrows" aria-hidden="true"></i></td>
								<td>
									<?php selectbuilder('gstm-team-icon[]',$socialicons,$field['icon'],__('Select icon',''),'widefat gstm-icon-select');?>
								</td>
								<td><input type="text" placeholder="<?php _e('ex: https://twitter.com/gsplugins','');?>" class="widefat" name="gstm-team-link[]" value="<?php if(isset($field['link'])) echo esc_attr( $field['link'] ); ?>"/></td>
								<td><a class="button remove-row" href="#"><?php _e('Remove','');?></a></td>
							</tr>	
							<?php } else: ?> 
							<tr>
								<td><i class="fa fa-arrows" aria-hidden="true"></i></td>
								<td>
									<?php selectbuilder('gstm-team-icon[]',$socialicons,'',__('Select icon',''),'widefat gstm-icon-select');?>
								</td>
								<td><input type="text" placeholder="<?php _e('ex: https://twitter.com/gsplugins','');?>" class="widefat" name="gstm-team-link[]" value=""/></td>
								<td><a class="button remove-row" href="#"><?php _e('Remove','');?></a></td>
							</tr>	
							<?php endif; ?>
							<tr class="empty-row screen-reader-text">
								<td><i class="fa fa-arrows" aria-hidden="true"></i></td>
								<td>
									<?php selectbuilder('gstm-team-icon[]',$socialicons,'',__('Select icon',''),'widefat');?>
								</td>
								<td><input type="text" placeholder="<?php _e('ex: https://twitter.com/gsplugins','');?>" class="widefat" name="gstm-team-link[]" value=""/></td>
								<td><a class="button remove-row" href="#"><?php _e('Remove','');?></a></td>
							</tr>
						</tbody>
					</table>
					<p><a class="button gstm-add-row" href="#" data-table="repeatable-fieldset-two"><?php _e('Add row','');?></a></p>
				</div>

			<?php if ( gtm_fs()->is__premium_only() or gtm_fs()->can_use_premium_code() ) { ?>	
			<h2>Member's Skills</h2>
				<div class="member-details-section">
					<table id="repeatable-fieldset-skill" width="100%" class="gstm-sorable-table">
						<thead>
							<tr>
								<td width="3%"></td>
								<td width="45%"><?php _e('Title','');?></td>
								<td width="42%"><?php _e('Percent','');?></td>
								<td width="10%"></td>
							</tr>
						</thead>
						<tbody>
							<?php if($gs_skill) :
							foreach ( $gs_skill as $field ) { ?>

							
							<tr>
								<td><i class="fa fa-arrows" aria-hidden="true"></i></td>
								<td>
									<input type="text" placeholder="html" class="widefat" name="gstm-skill-name[]" value="<?php if(isset($field['skill'])) echo esc_attr( $field['skill'] ); ?>"/>
								</td>
								<td><input type="text" placeholder="85" class="widefat" name="gstm-skill-percent[]" value="<?php if(isset($field['percent'])) echo esc_attr( $field['percent'] ); ?>"/></td>
								<td><a class="button remove-row" href="#"><?php _e('Remove','');?></a></td>
							</tr>	
						<?php } else: ?> 
							<tr>
								<td><i class="fa fa-arrows" aria-hidden="true"></i></td>
								<td>
									<input type="text" placeholder="html" class="widefat" name="gstm-skill-name[]" value="<?php if(isset($field['skill'])) echo esc_attr( $field['skill'] ); ?>"/>
								</td>
								<td><input type="text" placeholder="85" class="widefat" name="gstm-skill-percent[]" value="<?php if(isset($field['percent'])) echo esc_attr( $field['percent'] ); ?>"/></td>
								<td><a class="button remove-row" href="#"><?php _e('Remove','');?></a></td>
							</tr>
						<?php endif; ?>	
							<tr class="empty-skill screen-reader-text">
								<td><i class="fa fa-arrows" aria-hidden="true"></i></td>
								<td>
									<input type="text" placeholder="<?php _e('ex: Wordpress','');?>" class="widefat" name="gstm-skill-name[]" value="<?php if(isset($field['link'])) echo esc_attr( $field['link'] ); ?>"/>
								</td>
								<td><input type="text" placeholder="<?php _e('ex: 90','');?>" class="widefat" name="gstm-skill-percent[]" value=""/></td>
								<td><a class="button remove-row" href="#"><?php _e('Remove','');?></a></td>
							</tr>
						</tbody>
					</table>
					<p><a class="button gstm-add-skill" href="#" data-table="repeatable-fieldset-skill"><?php _e('Add row','');?></a></p>
				</div>
			<?php } ?>
		</div>

		<?php
	}
}


/**
 * When the post is saved, saves our custom data.
 *
 * @param int $post_id The ID of the post being saved.
 */

if ( ! function_exists('save_gs_team_metadata') ) {

	function save_gs_team_metadata($post_id) {

		/*
		 * We need to verify this came from our screen and with proper authorization,
		 * because the save_post action can be triggered at other times.
		 */

		// Check if our nonce is set.
		if ( ! isset( $_POST['gs_team_cmb_token'] ) ) {
			return;
		}

		// Verify that the nonce is valid.
		if ( ! wp_verify_nonce( $_POST['gs_team_cmb_token'], 'gs_team_nonce_name' ) ) {
			return;
		}

		// If this is an autosave, our form has not been submitted, so we don't want to do anything.
		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
			return;
		}

		// Check the user's permissions.
		if ( isset( $_POST['post_type'] ) && 'page' == $_POST['post_type'] ) {

			if ( ! current_user_can( 'edit_page', $post_id ) ) {
				return;
			}

		} else {

			if ( ! current_user_can( 'edit_post', $post_id ) ) {
				return;
			}
		}

		 $team_repeater = array(
       
	        'gs_social' => array(
	            'icon' => 'gstm-team-icon',
	            'link' => 'gstm-team-link'
	        )
	    );

		     foreach ($team_repeater as $key => $value) {
                    $olddata = get_post_meta($post_id, $key, true);
                    $newdata = $item = array();
                    foreach ($value as $k => $v) {
                        $item[$k] = $_POST[$v];
                    }
                    $count = count(reset($item));
                    for ($i = 0; $i < $count; $i++) {
                        foreach ($value as $k => $v) {
                            if ($item[$k][$i] != '') {
                                $newdata[$i][$k] = stripslashes(strip_tags($item[$k][$i]));
                            }
                        }
                    }
                    if (!empty($newdata) && $newdata != $olddata) {
                        update_post_meta($post_id, $key, $newdata);
                    } elseif (empty($newdata) && $olddata) {
                        delete_post_meta($post_id, $key, $olddata);
                    }
                    
                }

		 $team_skill = array(
       
	        'gs_skill' => array(
	            'skill' => 'gstm-skill-name',
	            'percent' => 'gstm-skill-percent'
	        )
	    );

		     foreach ($team_skill as $key => $value) {
                    $olddata = get_post_meta($post_id, $key, true);
                    $newdata = $item = array();
                    foreach ($value as $k => $v) {
                        $item[$k] = $_POST[$v];
                    }
                    $count = count(reset($item));
                    for ($i = 0; $i < $count; $i++) {
                        foreach ($value as $k => $v) {
                            if ($item[$k][$i] != '') {
                                $newdata[$i][$k] = stripslashes(strip_tags($item[$k][$i]));
                            }
                        }
                    }
                    if (!empty($newdata) && $newdata != $olddata) {
                        update_post_meta($post_id, $key, $newdata);
                    } elseif (empty($newdata) && $olddata) {
                        delete_post_meta($post_id, $key, $olddata);
                    }
                    
                }

		/* OK, it's safe for us to save the data now. */
		
		// Make sure that it is set.
		if ( ! isset( $_POST['gs_des'] ) ) {
			return;
		}	

		// Sanitize user input.
		$gs_des_data = sanitize_text_field( $_POST['gs_des'] );
		$gs_ribon_data = sanitize_text_field( $_POST['gs_ribon'] );

		// Update the meta field in the database.
		update_post_meta( $post_id, '_gs_des', $gs_des_data );
		update_post_meta( $post_id, '_gs_ribon',$gs_ribon_data );

	}
	add_action( 'save_post', 'save_gs_team_metadata');
}