<?php
/*
 * GS Team - Theme filter
 * @author GS Plugins <samdani1997@gmail.com>
 * 
 */

// -- Function for GS Team Category
if ( !function_exists('gs_team_category')) {	
	function gs_team_category(){
	    global $post;
	    $gst_term = get_the_terms( $post->ID, 'team_group' );
	    if(!empty( $gst_term )){
		    $terms = get_the_terms( $post->ID, 'team_group' );
		                                                   
		    if ( $terms && ! is_wp_error( $terms ) ) :
		            $gs_team_cats_link = array();
		     
		            foreach ( $terms as $term ) {
		                $gs_team_cats_link[] = $term->name;
		            }
		             
		            $gs_team_cats_link = str_replace(' ', '-', $gs_team_cats_link);
		            $gs_team_cats = join( " ", $gs_team_cats_link );
		            $gs_team_cats = strtolower($gs_team_cats);      
		    endif;
		    return $gs_team_cats;  
	    }    
	} 
}

$gs_member_connect = gs_team_getoption('gs_member_connect', 'gs_team_settings', 'on');
$gs_tm_link_tar = gs_team_getoption('gs_tm_link_tar', 'gs_team_settings', '_blank');
$gs_member_name = gs_team_getoption('gs_member_name', 'gs_team_settings', 'on');
$gs_member_role = gs_team_getoption('gs_member_role', 'gs_team_settings', 'on');
$gs_member_pagination = gs_team_getoption('gs_member_pagination', 'gs_team_settings', 'on');
$gs_member_details = gs_team_getoption('gs_member_details', 'gs_team_settings', 'on');
$gs_tm_details_contl = gs_team_getoption('gs_tm_details_contl', 'gs_team_settings', 100);
$gs_member_srch_by_name = gs_team_getoption('gs_member_srch_by_name', 'gs_team_settings', 'on');
$gs_member_filter_by_desig = gs_team_getoption('gs_member_filter_by_desig', 'gs_team_settings', 'on');

$output .= '<div class="container ccbp-so-scroller" id="ccbp-so-scroller"">';
$output .= '<div class="row clearfix gs_team" id="gs_team'.get_the_id().'">';

	// Team cats for filtering
	$gs_team_terms = get_terms('team_group');
	
		
	$output .= '<ul class="gs-team-filter-cats" style="display:'. $cats_name .';">';
        $output .= '<li class="filter" data-filter="all">All</li>';
		foreach ( $gs_team_terms as $term ) {
			$gs_team_termname = strtolower($term->name);  
			$gs_team_termname = str_replace(' ', '-', $gs_team_termname); 
			
			$output .= '<li class="filter" data-filter="' . '.' . $gs_team_termname . '">' . $term->name . '</li>';
			}
	$output .= '</ul>';
	$output .= '<div class="search-filter"><div class="row">';

		if ( 'on' ==  $gs_member_srch_by_name ) :
			$output .='<div class="col-md-6"><input type="text" id="quicksearch" placeholder="Search By Name" /></div>';
		endif;

		if ( 'on' == $gs_member_filter_by_desig) :
			$output .='<div class="col-md-6">';
				$output .='<select class="filters-select"><option value="*">Show All Designation</option>';
				$args = array( 'post_type' =>  'gs_team', 'meta_key' => '_gs_des','posts_per_page'   => -1 );
					$lastposts = get_posts( $args );

					foreach($lastposts as $post) : setup_postdata($post);
						$tm_desig_list[] = get_post_meta($post->ID,'_gs_des',true); 
					    $tm_desig_list = array_unique($tm_desig_list);
					?>
					<?php endforeach;
					foreach($tm_desig_list as $des):
						if(!empty($des)):
							$tm_design_string = str_replace(' ', '-', $des);
							$output .='<option value=".'.$tm_design_string.'">'.$des.'</option>';
			           endif;
			        endforeach;   			
				$output .='</select>';
			$output .='</div>';
		endif;

	$output .= '</div></div>';
	

	if ( $GLOBALS['gs_team_loop']->have_posts() ) {

		$output .= '<div class="gs-all-items-filter-wrapper">';
		
		while ( $GLOBALS['gs_team_loop']->have_posts() ) {
			$GLOBALS['gs_team_loop']->the_post();
			$gs_team_id = get_post_thumbnail_id();
			$gs_team_url = wp_get_attachment_image_src($gs_team_id, 'full', true);
			$team_thumb = $gs_team_url[0];
			$gs_team_alt = get_post_meta($gs_team_id,'_wp_attachment_image_alt',true);
			
			$gs_tm_meta = get_post_meta( get_the_id() );
			$designation = !empty($gs_tm_meta['_gs_des'][0]) ? $gs_tm_meta['_gs_des'][0] : '';
			$tm_design_string = str_replace(' ', '-', $designation);
			$gs_social  = get_post_meta( get_the_id(), 'gs_social', true);
			$gs_skill = get_post_meta(get_the_id(), 'gs_skill', true);
			$gs_ribon = get_post_meta( get_the_id(), '_gs_ribon', true );
							
			$output .= '<div class="ccbp-so-section gs-filter-single-item col-md-'.$cols.' col-sm-6 col-xs-6 '.gs_team_category().' '.$tm_design_string.'" data-category="'.gs_team_category().'" itemscope="" itemtype="http://schema.org/Person">';
				$output .= '<div class="single-member ccbp-so-side ccbp-so-side-left single-member-pop">'; // start single member

					$output .= '<a class="gs_team_pop open-popup-link" data-mfp-src="#gs_team_popup_'.get_the_id().'" href="javascript:void(0);" data-effect="">'; // Start Link

					if(!empty($gs_ribon)):
						$output .='<div class="gs_team_ribbon">'.esc_html($gs_ribon).'</div>';
				    endif;

					if ( has_post_thumbnail() )
			            $output .= '<img src="'. $team_thumb .'" alt="'. $gs_team_alt .'" itemprop="image"/>';
			        else {
			            $output .= '<img src="' . GSTEAM_FILES_URI . '/assets/img/no_img.png" class="abc"/>';
			        }
			        $output .= '<div class="gs_team_overlay"><i class="fa fa-external-link"></i></div>';
			        $output .= '<div class="single-member-name-desig ccbp-so-side ccbp-so-side-right">'; // start Name Desig
			        	if ( 'on' ==  $gs_member_name ) :
				            $output.= '<div class="gs-member-name" itemprop="name">'. get_the_title() .'</div>';
				        endif;

						if(!empty( $designation ) && 'on' == $gs_member_role ):
				          $output.= '<div class="gs-member-desig" itemprop="jobtitle">'. $designation .'</div>';
				        endif;
			        $output .= '</div>'; // End Name Desig
			        $output .= '</a>'; // End Link

			        // Popup
					$output .= '<div id="gs_team_popup_'.get_the_id().'" class="white-popup mfp-hide mfp-with-anim gs_team_popup">';
					
						$output .= '<div class="gs_team_popup_img">';
							if ( has_post_thumbnail() )
					            $output .= '<img src="'. $team_thumb .'" alt="'. $gs_team_alt .'" itemprop="image"/>';
					        else {
					            $output .= '<img src="' . GSTEAM_FILES_URI . '/assets/img/no_img.png" class=""/>';
					        }
						$output .= '</div>'; // end Member Img
						
						$output .= '<div class="gs_team_popup_details gs-tm-sicons">'; // start Member details
							// $output .= '<h2>'. get_the_title() .'</h2>';
							$output.= '<div class="gs-member-name" itemprop="name">'. get_the_title() .'</div>';

							if(!empty( $designation ) && 'on' == $gs_member_role ):
					          $output.= '<div class="gs-member-desig" itemprop="jobtitle">'. $designation .'</div>';
					        endif;

							if ( 'on' == $gs_member_connect ) :
						        $output .= '<div itemscope itemtype="http://schema.org/Organization">'; // social links
						          
						            $output .= '<ul class="gs-team-social">';
						            	if(!empty($gs_social)){
						            		foreach ($gs_social as $key => $value) {

							            		if($value['icon']=='envelope'){
							            			$link=!empty($value['link']) ? 'mailto:'.$value['link'] :'#';
							            		} else{
							            			$link=!empty($value['link']) ? $value['link'] :'#';
							            		}
												$output .= '<li><a class ="'.$value['icon'].'"href="'.$link  .'" target="'. $gs_tm_link_tar .'" itemprop="sameAs"><i class="fa fa-'.$value['icon'].'"></i></a></li>';
											}
						            	}
						            $output .= '</ul>';
						        
						        $output .= '</div>'; // end social links
						    endif;

							if ( 'on' ==  $gs_member_details ) :
					        // $output.= '<p class="gs-member-desc" itemprop="description">'. get_the_content() .'</p>';
					        $output.= '<div class="gs-member-desc" itemprop="description">'. wpautop( get_the_content() ).'</div>';
					        endif;
					        $output .='<div class="member-skill">';
						        if(!empty($gs_skill)){
						        	foreach ($gs_skill as  $value) {
						        		
							        	if (!empty( $value['percent'] )) {
						        			$gstm_percent = $value['percent'];
						        			$output .='<span class="progressText"><b>'.$value['skill'].'</b></span><div class="progress">';
								            	$output .='<div class="progress-bar" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: '.$gstm_percent.'%;"></div>';
								            	$output .='<span class="progress-completed">'.$gstm_percent.' % </span>';
							        		$output .='</div>';
							        	}
							    	} 
							    }
					        $output .='</div>';
						$output .= '</div>'; // end Member details
					$output .= '</div>'; 
					// Popup end

		        $output .= '</div>'; // end single member
			$output .= '</div>'; // end col
		} // end while loop
		do_action('gs_team_custom_css');

		$output .= '</div>';
	} else {
		$output .= "No Team Member Added!";
	}

	wp_reset_postdata();

$output .= '</div>'; // end row

	if ( 'on' ==  $gs_member_pagination ) :
		$output .= gs_pagination();
	endif;

$output .= '</div>'; // end container
return $output;